#COPAC-CLEAN. Automatic editing of Copac/BibTeX records.
#Version 0.6 7th January 2014
#Copyright (C) Guido Milanese <guido.milanese@unicatt.it>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#If you do not have a copy of the GNU General Public License write 
#to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#If the author of this software was too lazy to include the full GPL text along
#with the code, you can find it at: http://www.gnu.org/copyleft/gpl.html.
#
#!/bin/bash
# requires copac-clean.sno
# requires xclip: xclip copies to the clipboard
# checks if xclip and tcltk are installed
# If wish is not installed runs in text mode
# If $1 = "--notk" runs in text mode
# other values of $1 are ignored
	if [[ -n "$1" ]] ; then flag=$1 ; 
	else flag="--yestk"	
	fi
  if ! type xclip > /dev/null 2>&1; then
	echo "xclip is not installed. Exiting.";
    exit;
  elif ! type snobol4 > /dev/null 2>&1; then
	echo "snobol4 is not installed. Exiting.";
    exit;
  elif ! type wish > /dev/null 2>&1; then
	 echo "tcltk is not installed: running in text mode, no GUI" && tkyn="NO"
    	fi
	if [ $flag = "--notk" ] ; then
	 echo "Running in text mode, no GUI" && tkyn="NO"
   fi
	rm -f copactmpfile
	snobol4 -b copac-clean.sno $tkyn >copactmpfile
	cat copactmpfile | xclip -selection c -i
	rm -f copactmpfile

